Bug 20616 - Sansa Fuze
Sansa Fuze
Status: RESOLVED FIXED
Product: hal
Classification: Unclassified
Component: hal-info
unspecified
Other All
: medium normal
Assigned To: David Zeuthen (not reading bugmail)
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-11 20:38 UTC by James Henstridge
Modified: 2009-03-24 01:32 UTC (History)
0 users

See Also:


Attachments
0001-Merge-the-rules-for-SanDisk-Clip-Fuze-and-SanDisk.patch (2.84 KB, patch)
2009-03-18 03:01 UTC, James Henstridge
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description James Henstridge 2009-03-11 20:38:00 UTC
I recently bought a SanDisk Sansa Fuze player, and noticed that hal FDI files do not list it as supporting Ogg Vorbis files.

The packaging for the player says it does support Vorbis, and didn't have any trouble playing files I put on the player.

The USB vendor ID is 0x0781 and the product ID is 0x74c1.

The supported formats seem pretty close to those listed for "Sansa Clip version II", including the extra audio_folders and support for audible format files.

From what I can tell, all Fuze players can be updated to support the extra formats with a firmware update, so it might be worth merging them all into the same set of rules as the "Clip version II" ones.
Comment 1 James Henstridge 2009-03-12 19:23:03 UTC
Playing with the settings, the device can also report a product ID of 0x74c0 if I switch it from MSC mode to either MTP or "Auto Detect".

MTP access is enabled for both modes that present this product ID, and for "MTP" mode, mass storage class access is disabled entirely.

The list of supported media types should not depend on the product ID though.
Comment 2 James Henstridge 2009-03-18 03:01:57 UTC
Created attachment 23993 [details] [review]
0001-Merge-the-rules-for-SanDisk-Clip-Fuze-and-SanDisk.patch

Here is a patch that merges the rules for "Sansa Clip/Fuze" with "Sansa Clip Version II".

I checked and FLAC also plays on my version 1 Fuze, and the additional audio_folders are present too.

I don't think there is any easy way to detect if a particular device has an old firmware, and they are selling version 1 Fuzes with vorbis/flac capable firmware installed so it seems reasonable to list the extra formats.

I also took the liberty of adding the two USB IDs for the version 2 Fuze (snarfed from http://ubuntuforums.org/archive/index.php/t-1041356.html).
Comment 3 Martin Pitt 2009-03-24 01:32:32 UTC
Committed, thank you!